[zeromq-dev] Compatibility 3.1 - 3.2.1-rc2

AJ Lewis aj.lewis at quantum.com
Thu Nov 15 15:44:03 CET 2012


On Thu, Nov 15, 2012 at 09:26:59PM +0900, Pieter Hintjens wrote:
> I think we may have to consider 3.1 as an incompatible version. It
> should not have been released as stable with this incompatibility.

I am so confused about the release numbering and what is deemed
stable.

The only version numbered 3.1 that I see is 3.1.0-beta. Was there a
non-beta 3.1 version?  Is beta considered "stable"?  Are 'rcX'
versions stable?  This came up yesterday I think, but why bother with
'rc' tags if the point release number goes up every time a new RC
goes out - typically I think of RCs as a way of doing something
between a beta and a final release, so the version number never
changes...if the RC goes well, a non-RC tarball is produced using the
*exact same code*!

In my mind, the 3-x series has never been stable, because there's
always been an alpha, beta, or rc in the source name.

Regards,
-- 
AJ Lewis
Software Engineer
Quantum Corporation

Work:    651 688-4346
email:   aj.lewis at quantum.com

----------------------------------------------------------------------
The information contained in this transmission may be confidential. Any disclosure, copying, or further distribution of confidential information is not permitted unless such privilege is explicitly granted in writing by Quantum. Quantum reserves the right to have electronic communications, including email and attachments, sent across its networks filtered through anti virus and spam software programs and retain such messages in order to comply with applicable data security and retention requirements. Quantum is not responsible for the proper and complete transmission of the substance of this communication or for any delay in its receipt.



More information about the zeromq-dev mailing list